Subject: Re: bug#8384: 24.0.50; Yanking and text properties

From: Chong Yidong <[email-masked]>
Date: Tue, 07 Aug 2012 12:53:53 +0800

Eli Zaretskii <[email-masked]> writes:

>> > Is this difference between the two types of yanking a programming bug or
>> > a feature (of the primary selection?) that is AFAICS undocumented and
>> > hence a doc bug?
>> 
>> Hmm. I'd be inclined to consider the inconsistency a bug, - if C-w/M-y 
>> sequences are property-preserving intraprocess*, so too should be 
>> select/middleclick sequences, really.
>
> It could be a bug, or it could be a side effect of the implementation,
> because the text we select with a mouse is treated very differently
> from the text we put on the kill ring.

It just involves replacing buffer-substring-no-properties with
buffer-substring in deactivate-mark.  I agree that this inconsistency
with C-w/M-w might as well be fixed, so I did that in the trunk.